Ankündigung

Einklappen
Keine Ankündigung bisher.

Installation xxAPI2 "Status:Logikerror"

Einklappen
X
  • Filter
  • Zeit
  • Anzeigen
Alles löschen
neue Beiträge

  • RBauernfeind
    hat ein Thema erstellt Installation xxAPI2 "Status:Logikerror"

    Installation xxAPI2 "Status:Logikerror"

    Hi,

    leider scheitern alle meine Suchversuche...

    Alle How-To´s setzen irgendeine Vorinstallation voraus, die als gegeben (=trivial) angesehen wird, oder der Fehler liegt woanders...

    Ich habe den Loader heruntergeladen, auf ein Arbeitsblatt gezogen und mit dem iKO "System (nach Start immer 1)" verbunden.

    Und jetzt? Meine Vorstellung war, daß er nun alles installiert, was "man" braucht. Oder muß ich noch händisch in irgendwelche Verzeichnisse irgendwelche Dateien kopiern, die ich vorher aus Github zusammensuche?

    Mein Problem beginnt bei "Statusownload commits" und endet bei "Status: logikerror" :-)

    Lohnt es sich teile aus dem Demoprojekt aus 2015 zu installieren, und wenn ja, wie genau? Das volle Projekt macht mir Angst, immerhin läuft schon eine Männervisu ohne xxAPI...

    Vielen Dank für Eure Hilfe! (Der Link zu nem How-To, das ganz bei 0 anfängt würde mir auch schon reichen...)

    _Rainer_


  • Hitman
    antwortet
    Zitat von MaPa Beitrag anzeigen
    Hallo Zusammen,

    gibt es hierzu schon eine Lösung?

    Grüße
    Marcus
    Ich glaube auf dem Thread gibt es derzeit viele Mitleser

    Vermutlich läuft es doch auf die manuelle Installation raus. Ich bin gerade dabei das Schritt für Schritt nachzuvollziehen bevor ich mich dranmache.

    Einen Kommentar schreiben:


  • MaPa
    antwortet
    Hallo Zusammen,

    gibt es hierzu schon eine Lösung?

    Grüße
    Marcus

    Einen Kommentar schreiben:


  • RBauernfeind
    antwortet
    Hi,

    auch mein Loader bleibt nach dem Start bei "Create Appcache" hängen. Wenn man den Baustein dann nochmal startet, dann kommt nur noch "Download commits" und sofort danach "Logikerror". Auch bei mir läuft "nur" die 4.5.0 auf dem Homserver 3.

    Also auch bei mir nur eine "händische" Installation möglich?

    Viele Grüße!

    _Rainer_

    Einen Kommentar schreiben:


  • xachsewag
    antwortet
    Vielen Dank für die Tipps und Infos.
    Dann bleibt nur Upload über das Verzeichnis wenn ich das richtig sehe?. Ist aber ja nicht schlimm

    Einen Kommentar schreiben:


  • NilsS
    antwortet
    Oh sorry das war der HikVision Baustein wo man das abstellen konnte. Github lässt NUR https mit TLS1.2 zu https://www.ssllabs.com/ssltest/anal...hideResults=on

    Und dagegen kannst du halt nur was mit aktueller Firmwaer machen.
    Wenn du einen alten HS4 hast, dann ist das ein wenig doof, denn die 4.5 ist ein Python 2.6 mit altem ssl die 4.6 ist ein Python2.7 mit etwas neuerem ssl und die 4.7 ist auch 2.7 mit etwas neuerem aber hat dafür weiter oben genannte Probleme mit Expire Header des Appcache und dem kaputten SSL.

    Einen Kommentar schreiben:


  • NilsS
    antwortet
    Die Python Version bzw. das dagegen geklinkte OpenSSL ist so alt. Das es die TLS Version die github als Minimum voraussetzt nicht unterstützt. Es gibt aber einen Switch im Baustein um https nicht zu nutzen. Da wo das cert rein kommt muss „glaube ich“ nossl rein. Bin gerade nur am Handy und kann nicht gucken

    Einen Kommentar schreiben:


  • xachsewag
    antwortet
    Einen Fehler habe ich dort:

    10.08.2018 17:50:32 (2)

    File "[12280_xxAPI2]", line 379, in _download
    File "/usr/lib/python2.6/urllib2.py", line 126, in urlopen
    return _opener.open(url, data, timeout)
    File "/usr/lib/python2.6/urllib2.py", line 391, in open
    response = self._open(req, data)
    File "/usr/lib/python2.6/urllib2.py", line 409, in _open
    '_open', req)
    File "/usr/lib/python2.6/urllib2.py", line 369, in _call_chain
    result = func(*args)
    File "/usr/lib/python2.6/urllib2.py", line 1178, in https_open
    return self.do_open(httplib.HTTPSConnection, req)
    File "/usr/lib/python2.6/urllib2.py", line 1145, in do_open
    raise URLError(err)
    URLError: [urlopen error [Errno 1] _ssl.c:490: error:1407742E:SSL routines:SSL23_GET_SERVER_HELLO:tlsv1 alert protocol version]
    xxapi gh-pages
    Angehängte Dateien

    Einen Kommentar schreiben:


  • NilsS
    antwortet
    Nein, das kann dann nicht das Problem sein. Ich rede von 80-90% Nutzung.

    Hast du irgendwelche Exceptions auf der Debugseite?

    Einen Kommentar schreiben:


  • xachsewag
    antwortet
    Habe einen HS 4.5 und mein Projekt ist noch relativ klein, keine großen Bilder etc.
    Wie groß kann der Remanentspeicher werden oder dürfen?

    Einen Kommentar schreiben:


  • NilsS
    antwortet
    Das Problem sind die Clients.
    Der appcache hat kein expire header und wird daher nicht auf Aktualisierungen überprüft

    Einen Kommentar schreiben:


  • SirTom
    antwortet
    Zitat von NilsS Beitrag anzeigen
    PPS: mit der 4.7 wird es evtl. Probleme geben.
    Meinst du jetzt nur den Logikbaustein? Meine Visu funktionierte unter 4.7 noch problemlos. Allerdings habe ich die Daten über das hsupload Verzeichnis manuell hochgeladen.

    Einen Kommentar schreiben:


  • NilsS
    antwortet
    RBauernfeind
    es gibt nichts zusätzliches was benötigt wird. Der Logikbaustein läd die Dateien jedoch von Github und legt sie dann auf die gleiche Weise ab, wie es ein manueller Upload über den Experten im hsupload Verzeichnis machen würde.
    Speicherprobleme evtl.? bei zu wenig RAM oder zuwenig Remanent frei könnte es Probleme geben.

    xachsewag
    was hast du denn für einen HS und wieviel Platz braucht dein Projekt?


    PPS: mit der 4.7 wird es evtl. Probleme geben. (Das fängt an damit, dass das kaputte SSL Zertifkat den Appcache nicht laden lässt, und sendet auch nicht die richtigen Mimetypes, da die von mir abgefangene Funktion sich geändert hat und nun nicht mehr ein Objekt des self.MC ist welches ich ändern kann.

    Einen Kommentar schreiben:


  • xachsewag
    antwortet
    Läuft es bei Dir mittlerweile?
    Wollte es auch mit dem Logikbaustein versuchen, es scheiterst aber auch mit dem Output "logikerror"

    Einen Kommentar schreiben:

Lädt...
X